# Reproduction Artifact for "The Open-Closed Principle --- A Battle of Two Languages"

## Boa Queries

 - `boa-queries/dataset-summary/*.boa` -- Manually combined to produce Table 1.
 - `boa-queries/java`
    - `rq1/`
        - `num-classes.boa` -- output is `data-raw/num-classes-java.txt`
	- `num-parents.boa` -- output is `data-raw/java-num-parents.txt`
	- `overrides.boa` -- output is `data-raw/java-overrides.txt`
    - `rq2/`
        - `evolution.boa` -- output is `data-raw/java-class-evolution.txt`
        - `evolution-methods.boa` -- output is `data-raw/java-methods-evolution.txt`
 - `boa-queries/kotlin/`
    - `rq1/`
        - `num-classes.boa` -- output is `data-raw/num-classes-kotlin.txt`
	- `num-parents.boa` -- output is `data-raw/kotlin-num-parents.txt`
	- `overrides.boa` -- output is `data-raw/kotlin-overrides.txt`
	- `delegation.boa` -- output is `data-raw/delegation-kotlin.txt`
    - `rq2/`
        - `evolution.boa` -- output is `data-raw/kotlin-class-evolution.txt`
	- `evolution-methods.boa` -- output is `data-raw/kotlin-methods-evolution.txt`
	- `transitioned-classes.boa` -- output is `data-raw/transitioned-kotlin-project.txt`

## Data Processing

Tables and figures used in Section 5 ("Study Results") may be produced
by running the `scripts/plots.py` and `scripts/survival.py` files.

### Requirements

 - Python 3 (3.8.5)
    - boa-api
    - jinja2
    - jsonschema
    - matplotlib
    - pandas
    - pyarrow
    - scikit-survival
    - scipy
    - seaborn
    - tqdm
 - R Language (3.6.3)
    - Tidyverse (1.3.1)
 - Grep (GNU Grep 3.1)
 - Make (GNU Make 4.3)
