#!/usr/bin/env python
# coding: utf-8

from query import *

class ChurnQuery(BoaQuery):
    __base_query__ = get_query_source("common/churn.boa")

    def prepare_query(self):
        replacements = [
            ('<<job-name>>', f"# {self.name}", False),
            ('<<basic-exclude>>', f"snippets/{self.dataset}/basic-exclude.boa", True),
            ('<<escape>>', "snippets/common/escape.boa", True),
            ('<<ignore-directories>>', f"snippets/common/ignore-directories.boa", True),
            ("<<isopen>>", f"snippets/common/isopen.boa", True),
            ("<<isopen>>", f"snippets/common/isopen.boa", True),
            ('<<get-method-signature>>', 'snippets/common/get-method-signature.boa', True)
        ]
        query = do_replacements(self.__base_query__, replacements)
        return query

if __name__ == '__main__':
    user, password = get_credentials()

    kotlin_churn = ChurnQuery("rq3/kotlin/churn", "data-raw/kotlin/churn.txt", 'kotlin', user, password)
    kotlin_churn.run()

    java_churn = ChurnQuery("rq3/java/churn", "data-raw/java/churn.txt", 'java', user, password)
    java_churn.run()
