#!/usr/bin/env python
# coding: utf-8

from query import *

class ClassEvolutionQuery(BoaQuery):
    __base_query__ = get_query_source("common/evolution-classes.boa")

    def prepare_query(self):
        replacements = [
            ('<<job-name>>', f"# {self.name}", False),
            ('<<basic-exclude>>', f"snippets/{self.dataset}/basic-exclude.boa", True),
            ('<<escape>>', "snippets/common/escape.boa", True),
            ('<<isopen>>', "snippets/common/isopen.boa", True),
            ('<<main-branch-back>>', "snippets/common/main-branch-back.boa", True),
            ('<<ignore-directories>>', f"snippets/common/ignore-directories.boa", True)
        ]
        query = do_replacements(self.__base_query__, replacements)
        return query

if __name__ == '__main__':
    user, password = get_credentials()

    kotlin_class_evolution = ClassEvolutionQuery("rq2/kotlin/evolution-classes", "data-raw/kotlin/evolution-classes.txt", 'kotlin', user, password)
    kotlin_class_evolution.run()

    java_class_evolution = ClassEvolutionQuery("rq2/java/evolution-classes", "data-raw/java/evolution-classes.txt", 'java', user, password)
    java_class_evolution.run()
