#!/usr/bin/env python
# coding: utf-8

from query import *

class DelegationQuery(BoaQuery):

    def prepare_query(self):
        query = get_query_source(f"{self.dataset}/rq1/delegation.boa")
        replacements = [
            ('<<job-name>>', f"# {self.name}", False),
            ('<<basic-exclude>>', f"snippets/{self.dataset}/basic-exclude.boa", True),
            ('<<escape>>', "snippets/common/escape.boa", True),
            ('<<ignore-directories>>', f"snippets/common/ignore-directories.boa", True)
        ]
        return do_replacements(query, replacements)

if __name__ == '__main__':
    user, password = get_credentials()

    kotlin_delegation = DelegationQuery("rq1/kotlin/delegation", "data-raw/kotlin/delegation.txt", 'kotlin', user, password)
    kotlin_delegation.run()
