#!/usr/bin/env python
# coding: utf-8

from query import *
import subprocess

class DitNoc(BoaQuery):
    __base_query__ = get_query_source("common/parent-child.boa")

    def prepare_query(self):
        replacements = [
            ('<<job-name>>', f"# {self.name}", False),
            ("<<getfqn>>", f"snippets/common/getfqn.boa", True),
            ('<<escape>>', "snippets/common/escape.boa", True),
            ("<<isopen>>", f"snippets/common/isopen.boa", True)
        ]
        query = do_replacements(self.__base_query__, replacements)
        return query

if __name__ == '__main__':
    user, password = get_credentials()

    kotlin_dit_noc = DitNoc("rq1/kotlin/dit-noc", "data-raw/kotlin/parent-child.txt", 'kotlin', user, password)
    kotlin_dit_noc.run()

    java_dit_noc = DitNoc("rq1/java/dit-noc", "data-raw/java/parent-child.txt", 'java', user, password)
    java_dit_noc.run()
