#!/usr/bin/env python
# coding: utf-8

from query import *
import re
import subprocess

class DuplicatesQuery(BoaQuery):
    __base_query__ = get_query_source("common/duplicates.boa")

    def prepare_query(self):
        replacements = [
            ('<<job-name>>', f"# {self.name}", False),
            ('<<basic-exclude>>', f"snippets/{self.dataset}/basic-exclude.boa", True),
            ('<<escape>>', "snippets/common/escape.boa", True),
            ('<<ignore-directories>>', "snippets/common/ignore-directories.boa", True)
        ]
        query = do_replacements(self.__base_query__, replacements)
        return query

if __name__ == '__main__':
    user, password = get_credentials()

    kotlin_duplicates = DuplicatesQuery("rq0/kotlin/duplicates", "data-raw/kotlin/dupes.txt", 'kotlin', user, password)
    kotlin_duplicates.run()

    java_duplicates = DuplicatesQuery("rq0/java/duplicates", "data-raw/java/dupes.txt", 'java', user, password)
    java_duplicates.run()
