#!/usr/bin/env python
# coding: utf-8

from query import *

class MethodEvolutionQuery(BoaQuery):
    __base_query__ = get_query_source("common/evolution-methods.boa")

    def prepare_query(self):
        replacements = [
            ('<<job-name>>', f"# {self.name}", False),
            ('<<basic-exclude>>', f"snippets/{self.dataset}/basic-exclude.boa", True),
            ('<<escape>>', "snippets/common/escape.boa", True),
            ('<<isopen>>', "snippets/common/isopen.boa", True),
            ('<<main-branch-back>>', "snippets/common/main-branch-back.boa", True),
            ('<<get-method-signature>>', "snippets/common/get-method-signature.boa", True),
            ('<<ignore-directories>>', f"snippets/common/ignore-directories.boa", True)
        ]
        query = do_replacements(self.__base_query__, replacements)
        return query

if __name__ == '__main__':
    user, password = get_credentials()

    kotlin_method_evolution = MethodEvolutionQuery("rq2/kotlin/evolution-methods", "data-raw/kotlin/evolution-methods.txt", 'kotlin', user, password)
    kotlin_method_evolution.run()

    java_method_evolution = MethodEvolutionQuery("rq2/java/evolution-methods", "data-raw/java/evolution-methods.txt", 'java', user, password)
    java_method_evolution.run()
