#!/usr/bin/env python
# coding: utf-8

from query import *

class MethodSurvivalQuery(BoaQuery):
    __base_query__ = get_query_source("common/survival-method-openness.boa")

    def prepare_query(self):
        replacements = [
            ('<<job-name>>', f"# {self.name}", False),
            ('<<basic-exclude>>', f"snippets/{self.dataset}/basic-exclude.boa", True),
            ('<<escape>>', "snippets/common/escape.boa", True),
            ('<<isopen>>', "snippets/common/isopen.boa", True),
            ('<<get-method-signature>>', "snippets/common/get-method-signature.boa", True),
            ('<<ignore-directories>>', f"snippets/common/ignore-directories.boa", True)
        ]
        query = do_replacements(self.__base_query__, replacements)
        return query

if __name__ == '__main__':
    user, password = get_credentials()

    kotlin_method_survival = MethodSurvivalQuery("rq2/kotlin/survival-methods", "data-raw/kotlin/survival-methods.txt", 'kotlin', user, password)
    kotlin_method_survival.run()

    java_method_survival = MethodSurvivalQuery("rq2/java/survival-methods", "data-raw/java/survival-methods.txt", 'java', user, password)
    java_method_survival.run()
