#!/usr/bin/env python
# coding: utf-8

from query import *

class NumClassesQuery(BoaQuery):
    __base_query__ = get_query_source("common/num-classes.boa")

    def prepare_query(self):
        replacements = [
            ('<<job-name>>', f"# {self.name}", False),
            ('<<basic-exclude>>', f"snippets/{self.dataset}/basic-exclude.boa", True),
            ('<<escape>>', "snippets/common/escape.boa", True),
            ("<<isopen>>", f"snippets/common/isopen.boa", True),
            ('<<ignore-directories>>', f"snippets/common/ignore-directories.boa", True)
        ]
        query = do_replacements(self.__base_query__, replacements)
        return query

if __name__ == '__main__':
    user, password = get_credentials()

    kotlin_num_classes = NumClassesQuery("rq1/kotlin/num-classes", "data-raw/kotlin/num-classes.txt", 'kotlin', user, password)
    kotlin_num_classes.run()

    java_num_classes = NumClassesQuery("rq1/java/num-classes", "data-raw/java/num-classes.txt", 'java', user, password)
    java_num_classes.run()
