#!/usr/bin/env python
# coding: utf-8

from query import *

class OverridesQuery(BoaQuery):

    def prepare_query(self):
        replacements = [
            ('<<job-name>>', f"# {self.name}", False),
            ('<<basic-exclude>>', f"snippets/{self.dataset}/basic-exclude.boa", True),
            ('<<escape>>', "snippets/common/escape.boa", True),
            ('<<ignore-directories>>', f"snippets/common/ignore-directories.boa", True)
        ]
        query = do_replacements(get_query_source(f"common/overrides.boa"), replacements)
        return query

if __name__ == '__main__':
    user, password = get_credentials()

    kotlin_overrides = OverridesQuery("rq1/kotlin/overrides", "data-raw/kotlin/overrides.txt", 'kotlin', user, password)
    kotlin_overrides.run()

    java_overrides = OverridesQuery("rq1/java/overrides", "data-raw/java/overrides.txt", 'java', user, password)
    java_overrides.run()
