#!/usr/bin/env python
# coding: utf-8

from query import *

class TestsQuery(BoaQuery):
    __base_query__ = get_query_source("common/detect-tests.boa")

    def prepare_query(self):
        replacements = [
            ('<<job-name>>', f"# {self.name}", False),
            ('<<basic-exclude>>', f"snippets/{self.dataset}/basic-exclude.boa", True),
            ('<<escape>>', "snippets/common/escape.boa", True),
            ('<<ignore-directories>>', "snippets/common/ignore-directories.boa", True)
        ]
        query = do_replacements(self.__base_query__, replacements)
        return query

if __name__ == '__main__':
    user, password = get_credentials()

    kotlin_tests = TestsQuery("rq3/kotlin/tests", "data-raw/kotlin/tests.txt", 'kotlin', user, password)
    kotlin_tests.run()

    java_tests = TestsQuery("rq3/java/tests", "data-raw/java/tests.txt", 'java', user, password)
    java_tests.run()
