#!/usr/bin/env python
# coding: utf-8

from query import *

class TransitionedClassesQuery(BoaQuery):

    def prepare_query(self):
        query = get_query_source(f"{self.dataset}/rq2/transitioned-classes.boa")
        replacements = [
            ('<<job-name>>', f"# {self.name}", False),
            ('<<basic-exclude>>', f"snippets/{self.dataset}/basic-exclude.boa", True),
            ('<<escape>>', "snippets/common/escape.boa", True),
            ('<<ignore-directories>>', f"snippets/common/ignore-directories.boa", True)
        ]
        return do_replacements(query, replacements)

if __name__ == '__main__':
    user, password = get_credentials()

    kotlin_transitioned_classes = TransitionedClassesQuery("rq2/kotlin/transitioned-classes", "data-raw/kotlin/transitioned-classes.txt", 'kotlin', user, password)
    kotlin_transitioned_classes.run()
