#!/usr/bin/env Rscript

options(echo = FALSE)

library("tidyverse")
library("optparse")

args <- commandArgs(trailingOnly=TRUE)

duplicates_single <- read_csv(args[1], col_types = cols(.default = "c")) %>%
    distinct(hash, .keep_all = TRUE) %>%
    select(-type, -hash)

data_file <- read_csv(args[2], col_types = cols(.default = "c"))

only_dupes <- inner_join(data_file, duplicates_single, by=c('project', 'file'))

write_csv(only_dupes, args[3])
