kotlin_classes <- read_csv("data-csv/kotlin/dedupe-classes.csv", col_types = cols("count" = col_double(), "numparents" = col_double())) %>%
    mutate(language = "Kotlin",
           type = "class")
kotlin_interfaces <- read_csv("data-csv/kotlin/dedupe-interfaces.csv", col_types = cols("count" = col_double(), "numparents" = col_double())) %>%
    mutate(language = "Kotlin",
           type = "interface",
	   isopen = TRUE)
kotlin_dataclasses <- read_csv("data-csv/kotlin/dedupe-data-classes.csv", col_types = cols("count" = col_double(), "numparents" = col_double()))  %>%
    mutate(language = "Kotlin",
           type = "dataclass",
	   isopen = FALSE)

java_classes <- read_csv("data-csv/java/dedupe-classes.csv", col_types = cols("count" = col_double(), "numparents" = col_double())) %>%
    mutate(language = "Java",
           type = "class")
java_interfaces <- read_csv("data-csv/java/dedupe-interfaces.csv", col_types = cols("count" = col_double(), "numparents" = col_double())) %>%
    mutate(language = "Java",
           type = "interface",
	   isopen = TRUE)

if (file.exists("data-csv/cached/all-lang-class-joined.csv")) {
   joined_table <- read_csv("data-csv/cached/all-lang-class-joined.csv")
} else {
    joined_table <- full_join(kotlin_classes,
				  full_join(kotlin_interfaces,
                                      full_join(kotlin_dataclasses,
                                                  full_join(java_classes,
                                      		                    java_interfaces)))) %>%
			  mutate(type = recode_factor(type,
                          	            "class" = "Classes",
					    "interface" = "Interfaces",
					    "dataclass" = "Data Classes"))
    write_csv(joined_table, "data-csv/cached/all-lang-class-joined.csv")
}
