options(echo = FALSE)

source("scripts/common.R")

data_kotlin <- read_csv("data-csv/kotlin-overrides.csv",
                        col_names = c("type", "repo", "file_class", "timestamp", "commit", "number")) %>%
    select(-type) %>% mutate(language = "Kotlin")

data_java <- read_csv("data-csv/java-overrides.csv",
                      col_names = c("type", "repo", "file_class", "timestamp", "commit", "number")) %>%
    select(-type) %>% mutate(language = "Java")

full_join(data_kotlin, data_java) %>%
    filter(!is.na(number)) %>%
    group_by(language) %>%
    summarize(mean = mean(number),
            std = sd(number),
	    min = min(number),
	    `25%` = quantile(number, probs = c(0.25)),
	    `50%` = quantile(number, probs = c(0.5)),
	    `75%` = quantile(number, probs = c(0.75)),
	    max = max(number)) %>%
    transpose_tibble(col_names = "language", id_col = " ") %>%
    xtable() %>% print(file = "tables/rq1-overrides.tex")