#!/usr/bin/env python3

import csv
from tqdm import tqdm
from sys import argv

current_project = None

with open(argv[1], 'r') as csvfile:
    with open(argv[2], 'w') as out:
        out.write("""
ignores: map[string] of set string;
add_project := function(id: string) {
    a_set := set of string;
    ignores[id] = a_set;
};
""")
        reader = csv.reader(csvfile)
        for row in tqdm(reader):
            _, project, file_name = row
            if project != current_project:
                out.write(f"\nadd_project(\"{project}\");\n")
            current_project = project
            out.write(f"add(ignores[\"{project}\"], \"{file_name}\");\n")
