#!/usr/bin/env Rscript

options(echo = FALSE)

source("scripts/common.R")

source("scripts/load-class-data.R")

joined_table %>%
    group_by(language, type, project) %>%
    summarize(count = sum(count)) %>%
    ungroup() %>%
    ggplot(aes(type, count, fill = language)) +
    geom_boxplot2(show.errorbar = TRUE, width.errorbar = 0.3) +
    scale_color_colorblind() +
    labs(fill = "Language") +
    ylab("Number per Project") +
    xlab("") +
    our_theme
ggsave("figures/rq1-summary.png", units="in", width = 7, height = 3.5)

joined_table %>%
    group_by(language, type, project) %>%
    summarize(count = sum(count)) %>%
    summarize(total = sum(count),
              mean = mean(count),
              std = sd(count),
              min = min(count),
              `25%` = quantile(count, probs = c(0.25)),
              `50%` = quantile(count, probs = c(0.5)),
              `75%` = quantile(count, probs = c(0.75)),
              max = max(count)) %>%
    xtable() %>% print(file = "tables/rq1-summary.tex")

quit()