#!/usr/bin/env Rscript

options(echo = FALSE)

source("scripts/common.R")

source("scripts/load-parents-with-language.R")

with_parent_language %>%
    filter(type == "Classes") %>%
    select(-type) %>%
    mutate(isopen = ifelse(isopen, "Open", "Not Open")) %>%
    mutate(isopen = ifelse(is.na(isopen), "Open", isopen)) %>%
    group_by(parent_language, isopen, project) %>%
    summarize(n = n()) %>%
    summarize(total = sum(n),
               mean = mean(n),
	       std = sd(n),
	       min = min(n),
	       `25%` = quantile(n, probs = c(0.25)),
	       `50%` = quantile(n, probs = c(0.5)),
	       `75%` = quantile(n, probs = c(0.75)),
	       max = max(n)) %>%
    arrange(isopen) %>%
    relocate(isopen, .before = parent_language) %>%
    rename(` ` = isopen,
                  `Parent Language` = parent_language) %>%
    xtable() %>% print(file = "tables/rq4-openness.tex")